Search credential bundles
Search across every credential bundle issued from your tenant, optionally filtered by claim set identifier and/or state. Unlike the other credential bundle endpoints, this search is not scoped to a single user or credential reference. When state is omitted, only active bundles are returned.
Claim set identifiers are offered as an open beta preview feature and are not generally available yet. They are available on all tenants, and their behavior may change in a way that breaks existing integrations before they become generally available.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>The search criteria
application/json- body
claimSetId?stringFilter credential bundles to only those issued for the specified claim set.
1 <= length <= 255state?array<>Filter bundles by state. Defaults to ["active"] when omitted. Rejected with a 400 response if provided as an empty array.
1 <= itemslimit?numberRange size of returned entries, default 100
1 <= value <= 1000cursor?stringStarting point for the range of entries
Credential bundles retrieved
application/json- response
data?array<>nextCursor?stringcurl -X POST 'https://example.vii.au01.mattr.global/v1/users/credential-bundles/search' \ -H 'Content-Type: application/json' \ -d '{ "claimSetId": "claim-set-1", "limit": 100}'{ "data": [ { "userId": "41458e5a-9092-40b7-9a26-d4eb43c5792f", "id": "e123f4a5-6b7c-8901-2345-67890abcdef2", "issuanceProtocol": "openid4vci", "credentialReferenceId": "a248d6c9-3f5e-4b2a-9c1e-2f3b4c5d6e7f", "credentialConfigurationId": "707e920a-f342-443b-ae24-6946b7b5033e", "credentialProfile": "mobile", "credentialType": "org.iso.18013.5.1.mDL", "claimSetId": "claim-set-1", "state": "active" } ], "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1h"}How would you rate this page?
Retrieve all credential bundles for a credential reference GET
Retrieve all credential bundles associated with the specified credential reference. A credential bundle is one credential, for one credential type and claim set, as it sits in one wallet instance. It can hold several instances of that credential, such as the new versions issued by each update.
Retrieve a credential bundle GET
Retrieve the specified credential bundle for the specified user. A credential bundle is one credential, for one credential type and claim set, as it sits in one wallet instance. It can hold several instances of that credential, such as the new versions issued by each update.